import { RouteConfig } from 'vue-router';

const routes: RouteConfig[] = [
  {
    path: '/',
    redirect: 'login',
    component: () => import('layouts/OutLayout.vue'),
    children: [
      {
        name: 'login',
        path: 'login',
        component: () => import('pages/Login.vue')
      }
    ]
  },
  {
    path: '/main',
    component: () => import('layouts/MainLayout.vue'),
    children: [
      {
        name: 'home',
        path: 'home',
        component: () => import('pages/home/Home.vue'),
        children: [
          {
            name: 'newHome',
            path: 'newHome',
            component: () => import('pages/home/NewHome.vue')
          },
          {
            name: 'oldHome',
            path: 'oldHome',
            component: () => import('pages/home/OldHome.vue')
          }
        ]
      },
      {
        name: 'about',
        path: 'about',
        component: () => import('pages/about/About.vue'),
        children: [
          {
            name: 'newAbout',
            path: 'newAbout',
            component: () => import('pages/about/NewAbout.vue')
          },
          {
            name: 'oldAbout',
            path: 'oldAbout',
            component: () => import('pages/about/OldAbout.vue')
          }
        ]
      }
    ]
  },

  // Always leave this as last one,
  // but you can also remove it
  {
    path: '*',
    redirect: 'login',
    component: () => import('pages/Error404.vue')
  }
];

export default routes;
